## python-googleapi 1.4.1

=== Makefile ===
pep8:
	find googleapiclient samples -name "*.py" | xargs pep8 --ignore=E111,E202

APP_ENGINE_PATH=../google_appengine

test:
	tox

.PHONY: coverage
coverage:
	coverage erase
	find tests -name "test_*.py" | xargs --max-args=1 coverage run -a runtests.py
	coverage report
	coverage html

.PHONY: docs
docs:
	cd docs; ./build
	mkdir -p docs/dyn
	python describe.py

.PHONY: wiki
wiki:
	python samples-index.py > ../google-api-python-client.wiki/SampleApps.wiki

.PHONY: prerelease
prerelease:
	-rm -rf dist/
	-sudo rm -rf dist/
	-rm -rf snapshot/
	-sudo rm -rf snapshot/
	# ./tools/gae-zip-creator.sh
	python expandsymlinks.py
	cd snapshot; python setup.py clean
	cd snapshot; python setup.py sdist --formats=gztar,zip
	cd snapshot; tar czf google-api-python-client-samples-$(shell python setup.py --version).tar.gz samples
	cd snapshot; zip -r google-api-python-client-samples-$(shell python setup.py --version).zip samples


.PHONY: release
release: prerelease
	@echo "This target will upload a new release to PyPi and code.google.com hosting."
	@echo "Are you sure you want to proceed? (yes/no)"
	@read yn; if [ yes -ne $(yn) ]; then exit 1; fi
	@echo "Here we go..."
	cd snapshot; python setup.py sdist --formats=gztar,zip register upload

## python-googleapi 1.2

=== debian/changelog ===
python-googleapi (1.2-2) unstable; urgency=low

  * Don't install already packaged python libraries (closes: #725662, #725663).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Oct 2013 19:17:47 +0200

python-googleapi (1.2-1) unstable; urgency=low

  * Initial release (closes: #620602).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Aug 2013 21:02:56 +0200

=== debian/control ===
Source: python-googleapi
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
#Build-Depends: debhelper (>= 7.0.50), python-all, python3-all
Build-Depends: debhelper (>= 7.0.50), python-all, python-setuptools
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/google-api-python-client/
XS-Python-Version: >= 2.6
#X-Python3-Version: >= 3

Package: python-googleapi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-oauth2client, python-uritemplate
Description: Google APIs Client Library for Python
 Includes:
  -  google-api-python-client: The core Python library for accessing
     Google APIs
  - oauth2client: A Python client library for OAuth 2.0.
 .
 Samples are available in the python-googleapi-samples package.

#Package: python2-googleapi
#Architecture: all
#Depends: ${misc:Depends}, ${python:Depends}
#Description: Google APIs Client Library for Python
# Includes:
#  -  google-api-python-client: The core Python library for accessing
#     Google APIs
#  - oauth2client: A Python client library for OAuth 2.0.

#Package: python3-googleapi
#Architecture: all
#Depends: ${misc:Depends}, ${python3:Depends}
#Description: Google APIs Client Library for Python
# Includes:
#  -  google-api-python-client: The core Python library for accessing
#     Google APIs
#  - oauth2client: A Python client library for OAuth 2.0.

Package: python-googleapi-samples
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-googleapi
Description: Google APIs Client Library for Python, samples
 Includes:
  -  google-api-python-client: The core Python library for accessing
     Google APIs
  - oauth2client: A Python client library for OAuth 2.0.
 .
 This package contains some samples for the python-googleapi package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp
SAMPLESDIR=$(CURDIR)/debian/python-googleapi-samples/usr/share/doc/python-googleapi-samples/examples/

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/google_api_python_client.egg-info/SOURCES.txt
	rm -f $(CURDIR)/google_api_python_client.egg-info/top_level.txt

build-python%:
	python$* setup.py build

#override_dh_auto_build: $(PYTHON3:%=build-python%)
#	dh_auto_build

install-python%:
	python$* setup.py install --root=$(DESTDIR) --install-layout=deb
	sed -ri "1 s|(#!/usr/bin/python)[0-9.]+|\1|" \
		`find $(DESTDIR) -name '*.py'`
	sed -ri "1 s|(#!/usr/bin/python)[0-9.]+|\1|" \
		`find $(SAMPLESDIR) -name '*.py'`

#override_dh_auto_install: $(PYTHON3:%=install-python%)
#	dh_auto_install

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(SAMPLESDIR)/storage_serviceaccount_appengine/listing.xsl

#override_dh_auto_test:
#	doesn't work at the moment
#	python setup.py test

%:
#       not compatible with Python 3.x ATM
#	dh $@ --with python2,python3
	dh $@ --with python2

.PHONY: override_dh_clean override_dh_fixperms

## python-googleapi 1.4.1

=== debian/changelog ===
python-googleapi (1.4.1-1) unstable; urgency=low

  * New upstream release (closes: #760941).
  * Updated oauth2client solves GoogleCredentials problem (closes: #789253).
  * Version packages dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jul 2015 14:32:11 +0000

python-googleapi (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Update to Python Policy.
  * Remove unused patches.
  * Update project homepage.
  * Add watch file.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 Jun 2015 17:14:07 +0000

python-googleapi (1.2-3) unstable; urgency=low

  * Update Standards-Version to 3.9.5 .

  [ Thomas Goirand <zigo@debian.org> ]
  * Added Python3 support (closes: #759712).
  * Did a bit of clean-up in debian/rules.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Sep 2014 01:03:53 +0000

=== debian/control ===
Source: python-googleapi
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dh-python,
               python-all,
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/google/google-api-python-client
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-googleapi
Architecture: all
Depends: python-oauth2client (>= 1.4.12),
         python-uritemplate (>= 0.6),
         python-httplib2 (>= 0.8),
         python-six (>= 1.6.1),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Google APIs Client Library - Python 2.x
 This package contains the Google APIs Client Library for Python, which is the
 core Python library for accessing. Samples are available in the
 python-googleapi-samples package.
 .
 This package provides the Python 2.x module.

Package: python3-googleapi
Architecture: all
Depends: python3-oauth2client (>= 1.4.12),
         python3-uritemplate (>= 0.6),
         python3-httplib2 (>= 0.8),
         python3-six (>= 1.6.1),
         ${misc:Depends},
         ${python3:Depends}
Description: Google APIs Client Library - Python 3.x
 This package contains the Google APIs Client Library for Python, which is the
 core Python library for accessing. Samples are available in the
 python-googleapi-samples package.
 .
 This package provides the Python 3.x module.

Package: python-googleapi-samples
Architecture: all
Depends: python-googleapi, ${misc:Depends}, ${python:Depends}
Description: Google APIs Client Library for Python, samples
 This package contains the Google APIs Client Library for Python, which is the
 core Python library for accessing.
 .
 This package contains some samples for the python-googleapi package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

SAMPLESDIR=$(CURDIR)/debian/python-googleapi-samples/usr/share/doc/python-googleapi-samples/examples/

override_dh_auto_install:
	dh_auto_install
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-googleapi; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-googleapi; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(SAMPLESDIR)/storage_serviceaccount_appengine/listing.xsl

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/build

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

.PHONY: override_dh_auto_install override_dh_fixperms override_dh_clean

## python-googleapi 1.4.2

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,9 @@
 	-sudo rm -rf dist/
 	-rm -rf snapshot/
 	-sudo rm -rf snapshot/
-	# ./tools/gae-zip-creator.sh
 	python expandsymlinks.py
 	cd snapshot; python setup.py clean
-	cd snapshot; python setup.py sdist --formats=gztar,zip
+	cd snapshot; python setup.py sdist --formats=gztar,zip bdist_wheel --universal
 	cd snapshot; tar czf google-api-python-client-samples-$(shell python setup.py --version).tar.gz samples
 	cd snapshot; zip -r google-api-python-client-samples-$(shell python setup.py --version).zip samples
 
@@ -43,5 +42,5 @@
 	@echo "Are you sure you want to proceed? (yes/no)"
 	@read yn; if [ yes -ne $(yn) ]; then exit 1; fi
 	@echo "Here we go..."
-	cd snapshot; python setup.py sdist --formats=gztar,zip register upload
-	
+	cd snapshot; python setup.py sdist --formats=gztar,zip bdist_wheel --universal
+	cd snapshot; twine upload dist/*

=== debian/changelog ===
python-googleapi (1.4.2-1ubuntu1) xenial; urgency=medium

  * d/rules: Add build tests.
  * d/control: Add build-deps to support tests.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 29 Jan 2016 11:33:24 -0500

python-googleapi (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Jan 2016 19:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,18 @@
 Build-Depends: debhelper (>= 7.0.50),
                dh-python,
                python-all,
+               python-mock,
+               python-nose,
+               python-oauth2client (>= 1.4.6),
                python-setuptools,
+               python-unittest2,
                python3-all (>= 3.2),
-               python3-setuptools
+               python3-mock,
+               python3-nose,
+               python3-oauth2client (>= 1.4.6),
+               python3-setuptools,
+               python3-six,
+               python3-unittest2
 Standards-Version: 3.9.6
 Homepage: https://github.com/google/google-api-python-client
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,10 @@
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf $(CURDIR)/build
 
+override_dh_auto_test:
+	nosetests
+	nosetests3
+
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3

## python-googleapi 1.5.0

=== debian/changelog ===
python-googleapi (1.5.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 16:39:03 +0000

python-googleapi (1.5.0-2) unstable; urgency=low

  * Upload to Sid.

  [ David Della Vecchia <ddv@canonical.com> ]
  * d/rules: Add build tests (closes: #814934).
  * d/control: Add build-deps to support tests.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Apr 2016 18:54:36 +0000

python-googleapi (1.5.0-1) experimental; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2016 08:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                dh-python,
                python-all,
                python-mock,
-               python-nose,
-               python-oauth2client (>= 1.4.6),
+               python-nose, 
+               python-oauth2client (>= 1.4.6), 
                python-setuptools,
-               python-unittest2,
+               python-unittest2, 
                python3-all (>= 3.2),
                python3-mock,
                python3-nose,
@@ -17,14 +17,14 @@
                python3-setuptools,
                python3-six,
                python3-unittest2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/google/google-api-python-client
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
 Package: python-googleapi
 Architecture: all
-Depends: python-oauth2client (>= 1.4.12),
+Depends: python-oauth2client (>= 2.0.0),
          python-uritemplate (>= 0.6),
          python-httplib2 (>= 0.8),
          python-six (>= 1.6.1),
@@ -41,7 +41,7 @@
 
 Package: python3-googleapi
 Architecture: all
-Depends: python3-oauth2client (>= 1.4.12),
+Depends: python3-oauth2client (>= 2.0.0),
          python3-uritemplate (>= 0.6),
          python3-httplib2 (>= 0.8),
          python3-six (>= 1.6.1),

## python-googleapi 1.5.1

=== debian/changelog ===
python-googleapi (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Jun 2016 21:49:37 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-setuptools,
                python3-six,
                python3-unittest2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/google-api-python-client
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

## python-googleapi 1.5.2

=== debian/changelog ===
python-googleapi (1.5.2-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Sep 2016 13:20:59 +0000

python-googleapi (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Aug 2016 17:26:12 +0000

## python-googleapi 1.5.5

=== debian/changelog ===
python-googleapi (1.5.5-1) unstable; urgency=low

  * New upstream release.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Nov 2016 14:47:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-mock,

## python-googleapi 1.7.11

=== debian/changelog ===
python-googleapi (1.7.11-4) unstable; urgency=medium

  * Add python3-uritemplate to build dependencies (closes: #964630).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Jul 2020 12:31:15 +0200

python-googleapi (1.7.11-3) unstable; urgency=medium

  * Add google-auth-httplib2 dependency (closes: #935562).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Oct 2019 16:13:14 +0000

python-googleapi (1.7.11-2) unstable; urgency=medium

  * Backport upstream fix to look for field 'detail' in error response.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Aug 2019 15:18:55 +0000

python-googleapi (1.7.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop Python 2 package (closes: #934711).
  * Rename samples package to Python 3 variant.
  * Disable google_auth_httplib2 tests until zigo packages that module.
  * Add source Lintian overrides.
  * Update debhelper level to 12:
    - switch to pybuild build system.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2019 14:51:25 +0000

=== debian/control ===
Source: python-googleapi
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all (>= 3.4),
               python3-mock,
               python3-nose,
               python3-oauth2client (>= 1.4.6),
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-uritemplate,
               python3-google-auth,
               python3-google-auth-httplib2 (>= 0.0.3)
Standards-Version: 4.4.0
Homepage: https://github.com/google/google-api-python-client

Package: python3-googleapi
Architecture: all
Depends: python3-oauth2client (>= 2.0.0),
         python3-uritemplate (>= 0.6),
         python3-httplib2 (>= 0.9.2),
         python3-uritemplate,
         python3-google-auth-httplib2 (>= 0.0.3),
         python3-six (>= 1.6.1),
         ${misc:Depends},
         ${python3:Depends}
Description: Google APIs Client Library - Python 3.x
 This package contains the Google APIs Client Library for Python, which is the
 core Python library for accessing. Samples are available in the
 python3-googleapi-samples package.
 .
 This package provides the Python 3.x module.

Package: python3-googleapi-samples
Architecture: all
Depends: python3-googleapi, ${misc:Depends}
Conflicts: python-googleapi-samples
Replaces: python-googleapi-samples
Description: Google APIs Client Library for Python, samples
 This package contains the Google APIs Client Library for Python, which is the
 core Python library for accessing.
 .
 This package contains some samples for the python3-googleapi package.

=== debian/watch ===
version=3
https://github.com/google/google-api-python-client/releases .+/archive/v?([\d.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-googleapi 1.7.12

=== debian/changelog ===
python-googleapi (1.7.12-1) unstable; urgency=medium

  * New upstream release.
  * Remove deprecated U flag from open (closes: #1028776).
  * Don't use python3-nose (closes: #1018504).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Jan 2023 18:33:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
                dh-python,
                python3-all (>= 3.4),
                python3-mock,
-               python3-nose,
                python3-oauth2client (>= 1.4.6),
                python3-setuptools,
                python3-six,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON3S:=$(shell py3versions -vr)
SAMPLESDIR=$(CURDIR)/debian/python3-googleapi-samples/usr/share/doc/python3-googleapi-samples/examples/

export PYBUILD_NAME=googleapi

override_dh_auto_install:
	dh_auto_install
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-googleapi; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(SAMPLESDIR)/storage_serviceaccount_appengine/listing.xsl

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf $(CURDIR)/build

override_dh_auto_test: 
	@echo Self-testing is disabled.

%:
	dh $@ --buildsystem=pybuild --with python3

.PHONY: override_dh_auto_install override_dh_fixperms override_dh_clean \
	override_dh_auto_test

## python-googleapi 2.131.0

=== scripts/requirements.txt ===
pandas==2.2.0

=== samples/compute/requirements.txt ===
google-api-python-client==2.114.0
google-auth==2.26.2
google-auth-httplib2==0.2.0

=== debian/changelog ===
python-googleapi (2.131.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Drop python 3.11 compatibility patch:
    - debian/patches/remove_U_flag.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 03 Jun 2024 15:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-googleapi
 Section: python
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all (>= 3.4),
                python3-mock,
-               python3-oauth2client (>= 1.4.6),
                python3-setuptools,
                python3-six,
                python3-unittest2,
@@ -18,8 +18,7 @@
 
 Package: python3-googleapi
 Architecture: all
-Depends: python3-oauth2client (>= 2.0.0),
-         python3-uritemplate (>= 0.6),
+Depends: python3-uritemplate (>= 0.6),
          python3-httplib2 (>= 0.9.2),
          python3-uritemplate,
          python3-google-auth-httplib2 (>= 0.0.3),

## python-googleapi 2.138.0

=== debian/changelog ===
python-googleapi (2.138.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove python3-unittest2 build dependency (closes: #1076727).
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2024 13:03:37 +0000

python-googleapi (2.137.0-1) unstable; urgency=medium

  * New upstream release (closes: #1058977).
  * Remove deprecated build dependencies (closes: #1070819).
  * Update Lintian overrides.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Jul 2024 06:19:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: python-googleapi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 12),
                dh-python,
-               python3-all (>= 3.4),
-               python3-mock,
+               python3-all,
                python3-setuptools,
-               python3-six,
-               python3-unittest2,
                python3-uritemplate,
                python3-google-auth,
-               python3-google-auth-httplib2 (>= 0.0.3)
-Standards-Version: 4.4.0
+               python3-google-auth-httplib2 (>= 0.0.3),
+               python3-google-api-core
+Standards-Version: 4.7.0
 Homepage: https://github.com/google/google-api-python-client
 
 Package: python3-googleapi
@@ -22,7 +19,6 @@
          python3-httplib2 (>= 0.9.2),
          python3-uritemplate,
          python3-google-auth-httplib2 (>= 0.0.3),
-         python3-six (>= 1.6.1),
          ${misc:Depends},
          ${python3:Depends}
 Description: Google APIs Client Library - Python 3.x

## python-googleapi 2.142.0

=== debian/changelog ===
python-googleapi (2.142.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Aug 2024 07:35:49 +0200

python-googleapi (2.141.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Aug 2024 10:15:39 +0200

## python-googleapi 2.146.0

=== debian/changelog ===
python-googleapi (2.146.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Sep 2024 18:47:55 +0200

python-googleapi (2.144.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Sep 2024 12:30:21 +0200

## python-googleapi 2.150.0

=== debian/changelog ===
python-googleapi (2.150.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Oct 2024 09:43:06 +0200

python-googleapi (2.149.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Oct 2024 21:33:56 +0200

python-googleapi (2.147.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Sep 2024 21:10:11 +0200

## python-googleapi 2.157.0

=== debian/changelog ===
python-googleapi (2.157.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jan 2025 17:25:20 +0100

python-googleapi (2.156.0-2) unstable; urgency=medium

  * Provide python3-google-api-python-client for easy discovery.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Dec 2024 07:34:52 +0100

python-googleapi (2.156.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Dec 2024 18:23:01 +0100

python-googleapi (2.154.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Nov 2024 18:08:00 +0100

## python-googleapi 2.161.0

=== debian/changelog ===
python-googleapi (2.161.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Feb 2025 22:37:57 +0100

python-googleapi (2.160.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Feb 2025 15:28:02 +0100

python-googleapi (2.159.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jan 2025 17:36:58 +0100

## python-googleapi 2.165.0

=== debian/changelog ===
python-googleapi (2.165.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Mar 2025 15:38:40 +0100

python-googleapi (2.163.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Mar 2025 21:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
          python3-google-auth-httplib2 (>= 0.0.3),
          ${misc:Depends},
          ${python3:Depends}
+Provides: python3-google-api-python-client
 Description: Google APIs Client Library - Python 3.x
  This package contains the Google APIs Client Library for Python, which is the
  core Python library for accessing. Samples are available in the

## python-googleapi 2.166.0

=== debian/changelog ===
python-googleapi (2.166.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Apr 2025 17:29:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_clean -O--buildsystem=pybuild
 	rm -rf $(CURDIR)/build
 
-override_dh_auto_test: 
+override_dh_auto_test:
 	@echo Self-testing is disabled.
 
 %:

## python-googleapi 2.180.0

=== debian/changelog ===
python-googleapi (2.180.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Sep 2025 19:32:34 +0200

## python-googleapi 2.182.0

=== samples/compute/requirements.txt ===
google-api-python-client==2.134.0
google-auth==2.30.0
google-auth-httplib2==0.2.0

=== debian/changelog ===
python-googleapi (2.182.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Sep 2025 21:13:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -10,14 +10,13 @@
                python3-google-auth,
                python3-google-auth-httplib2 (>= 0.0.3),
                python3-google-api-core
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/google-api-python-client
 
 Package: python3-googleapi
 Architecture: all
-Depends: python3-uritemplate (>= 0.6),
-         python3-httplib2 (>= 0.9.2),
-         python3-uritemplate,
+Depends: python3-httplib2 (>= 0.9.2),
+         python3-uritemplate (>= 3.0.1),
          python3-google-auth-httplib2 (>= 0.0.3),
          ${misc:Depends},
          ${python3:Depends}

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/googleapis/google-api-python-client/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## python-googleapi 2.186.0

=== scripts/requirements.txt ===
pandas==2.2.2

=== debian/changelog ===
python-googleapi (2.186.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Nov 2025 22:35:20 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: googleapis
Project: google-api-python-client

## python-googleapi 2.187.0

=== debian/changelog ===
python-googleapi (2.187.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Nov 2025 18:27:21 +0100

## python-googleapi 2.188.0

=== debian/changelog ===
python-googleapi (2.188.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Jan 2026 17:44:18 +0100

## python-googleapi 2.190.0

=== debian/changelog ===
python-googleapi (2.190.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Feb 2026 18:59:20 +0100
